IPSW-DYLD-MACHO(1)

NAME
ipsw-dyld-macho - Parse an incache dylib file

SYNOPSIS
ipsw dyld macho [flags]

DESCRIPTION
Parse an incache dylib file

OPTIONS
-a, --all[=false]
    Parse ALL dylibs

--demangle[=false]
    Demangle symbol names

-x, --extract[=false]
    🚧 Extract the dylib

--force[=false]
    Overwrite existing extracted dylib(s)

-h, --help[=false]
    help for macho

-j, --json[=false]
    Print the TOC as JSON

-l, --loads[=false]
    Print the load commands

-o, --objc[=false]
    Print ObjC info

-r, --objc-refs[=false]
    Print ObjC references

--output=""
    Directory to extract the dylib(s)

--search=""
    Search for byte pattern

-f, --starts[=false]
    Print function starts

-s, --strings[=false]
    Print cstrings

-b, --stubs[=false]
    Print stubs

-w, --swift[=false]
    Print Swift info

--swift-all[=false]
    Print all other Swift sections info

-n, --symbols[=false]
    Print symbols

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-dyld(1)

HISTORY
21-Mar-2026 Auto generated by spf13/cobra